Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/tables/tables.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/tables/tables.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/tables/tables.xsl	(revision 2397)
@@ -1,170 +1,197 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:prop="http://schemas.openxmlformats.org/officeDocument/2006/custom-properties"
-                xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
-                xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties"
-                xmlns:dc="http://purl.org/dc/elements/1.1/"
-                xmlns:dcterms="http://purl.org/dc/terms/"
-                xmlns:dcmitype="http://purl.org/dc/dcmitype/"
-                xmlns:iso="http://www.iso.org/ns/1.0"
-                xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
-                xmlns:mml="http://www.w3.org/1998/Math/MathML"
-                xmlns:mo="http://schemas.microsoft.com/office/mac/office/2008/main"
-                xmlns:mv="urn:schemas-microsoft-com:mac:vml"
-                xmlns:o="urn:schemas-microsoft-com:office:office"
-                xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
-                xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
-                xmlns:rel="http://schemas.openxmlformats.org/package/2006/relationships"
-                xmlns:tbx="http://www.lisa.org/TBX-Specification.33.0.html"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
-                xmlns:v="urn:schemas-microsoft-com:vml"
-                xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
-                xmlns:w10="urn:schemas-microsoft-com:office:word"
-                xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
-                xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
-                xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
-                xmlns:html="http://www.w3.org/1999/xhtml"                
-                
-                xmlns="http://www.tei-c.org/ns/1.0"
-                version="2.0"
-                exclude-result-prefixes="a cp dc dcterms dcmitype prop     iso m mml mo mv o pic r rel     tbx tei teidocx v xs ve w10 w wne wp">
-    
-    
-    <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p> TEI stylesheet for converting Word docx files to TEI </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:prop="http://schemas.openxmlformats.org/officeDocument/2006/custom-properties"
+	xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
+	xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties"
+	xmlns:dc="http://purl.org/dc/elements/1.1/"
+	xmlns:dcterms="http://purl.org/dc/terms/"
+	xmlns:dcmitype="http://purl.org/dc/dcmitype/"
+	xmlns:iso="http://www.iso.org/ns/1.0"
+	xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
+	xmlns:mml="http://www.w3.org/1998/Math/MathML"
+	xmlns:mo="http://schemas.microsoft.com/office/mac/office/2008/main"
+	xmlns:mv="urn:schemas-microsoft-com:mac:vml"
+	xmlns:o="urn:schemas-microsoft-com:office:office"
+	xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
+	xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
+	xmlns:rel="http://schemas.openxmlformats.org/package/2006/relationships"
+	xmlns:tbx="http://www.lisa.org/TBX-Specification.33.0.html"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
+	xmlns:v="urn:schemas-microsoft-com:vml"
+	xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
+	xmlns:w10="urn:schemas-microsoft-com:office:word"
+	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
+	xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
+	xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
+	xmlns:html="http://www.w3.org/1999/xhtml"
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+	xmlns="http://www.tei-c.org/ns/1.0" version="2.0"
+	exclude-result-prefixes="a cp dc dcterms dcmitype prop     iso m mml mo mv o pic r rel     tbx tei teidocx v xs ve w10 w wne wp">
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet for converting Word docx files to TEI </p>
+			<p>This software is dual-licensed:
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: tables.xsl 9719 2011-11-09 18:18:03Z rahtz $</p>
-         <p>Copyright: 2008, TEI Consortium</p>
-      </desc>
-   </doc>
+				All rights reserved.
 
-   <xsl:template name="getTableBorderStyles">
-     <xsl:param name="tblBorders"/>
-     <xsl:if test="$tblBorders//w:left[@w:sz!='']">
-       <xsl:text>border-left: </xsl:text><xsl:value-of select="$tblBorders//w:left[1]/@w:sz"/><xsl:text>; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:left[@w:val='nil']">
-       <xsl:text>border-left: 0; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:bottom[@w:sz!='']">
-       <xsl:text>border-bottom: </xsl:text><xsl:value-of select="$tblBorders//w:bottom[1]/@w:sz"/><xsl:text>; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:bottom[@w:val='nil']">
-       <xsl:text>border-bottom: 0; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:right[@w:sz!='']">
-       <xsl:text>border-right: </xsl:text><xsl:value-of select="$tblBorders//w:right[1]/@w:sz"/><xsl:text>; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:right[@w:val='nil']">
-       <xsl:text>border-right: 0; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:top[@w:sz!='']">
-       <xsl:text>border-top: </xsl:text><xsl:value-of select="$tblBorders//w:top[1]/@w:sz"/><xsl:text>; </xsl:text>
-     </xsl:if>
-     <xsl:if test="$tblBorders//w:top[@w:val='nil']">
-       <xsl:text>border-top: 0; </xsl:text>
-     </xsl:if>
-   </xsl:template>
-    
-    	<xsl:template match="w:tbl" mode="paragraph">
-	     <xsl:choose>
-	        <xsl:when test="$tableMethod='word'">
-	           <xsl:copy>
-		             <xsl:copy-of select="@*"/>
-		             <xsl:apply-templates/>
-	           </xsl:copy>
-	        </xsl:when>
-	        <xsl:when test="$tableMethod='cals'">
-	      <!-- preprocess the table to expand colspans, add row numbers, and
-		   simplify vertical merge info -->
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-	      <xsl:variable name="TABLE">
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-	      <xsl:variable name="tableBorders">
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: tables.xsl 9719 2011-11-09 18:18:03Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
+
+	<xsl:template name="getTableBorderStyles">
+		<xsl:param name="tblBorders" />
+		<xsl:if test="$tblBorders//w:left[@w:sz!='']">
+			<xsl:text>border-left: </xsl:text>
+			<xsl:value-of select="$tblBorders//w:left[1]/@w:sz" />
+			<xsl:text>; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:left[@w:val='nil']">
+			<xsl:text>border-left: 0; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:bottom[@w:sz!='']">
+			<xsl:text>border-bottom: </xsl:text>
+			<xsl:value-of select="$tblBorders//w:bottom[1]/@w:sz" />
+			<xsl:text>; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:bottom[@w:val='nil']">
+			<xsl:text>border-bottom: 0; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:right[@w:sz!='']">
+			<xsl:text>border-right: </xsl:text>
+			<xsl:value-of select="$tblBorders//w:right[1]/@w:sz" />
+			<xsl:text>; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:right[@w:val='nil']">
+			<xsl:text>border-right: 0; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:top[@w:sz!='']">
+			<xsl:text>border-top: </xsl:text>
+			<xsl:value-of select="$tblBorders//w:top[1]/@w:sz" />
+			<xsl:text>; </xsl:text>
+		</xsl:if>
+		<xsl:if test="$tblBorders//w:top[@w:val='nil']">
+			<xsl:text>border-top: 0; </xsl:text>
+		</xsl:if>
+	</xsl:template>
+
+	<xsl:template match="w:tbl" mode="paragraph">
 		<xsl:choose>
-		  <xsl:when test="w:tblPr/w:tblBorders/w:top[@w:val='single']">
-		    <xsl:copy-of select="w:tblPr/w:tblBorders/w:top"/>
-		  </xsl:when>
-		  <xsl:when test=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:top[@w:val='single']">
-		    <xsl:copy-of select=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:top"/>
-		  </xsl:when>
-		</xsl:choose>
-		<xsl:choose>
-		  <xsl:when test="w:tblPr/w:tblBorders/w:left[@w:val='single']">
-		    <xsl:copy-of select="w:tblPr/w:tblBorders/w:left"/>
-		  </xsl:when>
-		  <xsl:when test=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:left[@w:val='single']">
-		    <xsl:copy-of select=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:left"/>
-		  </xsl:when>
-		</xsl:choose>
-		<xsl:choose>
-		  <xsl:when test="w:tblPr/w:tblBorders/w:bottom[@w:val='single']">
-		    <xsl:copy-of select="w:tblPr/w:tblBorders/w:bottom"/>
-		  </xsl:when>
-		  <xsl:when test=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:bottom[@w:val='single']">
-		    <xsl:copy-of select=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:bottom"/>
-		  </xsl:when>
-		</xsl:choose>
-		<xsl:choose>
-		  <xsl:when test="w:tblPr/w:tblBorders/w:right[@w:val='single']">
-		    <xsl:copy-of select="w:tblPr/w:tblBorders/w:right"/>
-		  </xsl:when>
-		  <xsl:when test=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:right[@w:val='single']">
-		    <xsl:copy-of select=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:right"/>
-		  </xsl:when>
-		</xsl:choose>		
-	      </xsl:variable>
-	      <xsl:variable name="tableBorderStyles">
-		<xsl:call-template name="getTableBorderStyles">
-		  <xsl:with-param name="tblBorders" select="$tableBorders"/>
-		</xsl:call-template>
-	      </xsl:variable>
-		             <table xmlns="http://www.oasis-open.org/specs/tm9901">
-			       <xsl:if test="normalize-space($tableBorderStyles)!=''">
-				 <xsl:attribute name="iso:style">
-				   <xsl:value-of select="normalize-space($tableBorderStyles)"/>
+			<xsl:when test="$tableMethod='word'">
+				<xsl:copy>
+					<xsl:copy-of select="@*" />
+					<xsl:apply-templates />
+				</xsl:copy>
+			</xsl:when>
+			<xsl:when test="$tableMethod='cals'">
+				<!-- preprocess the table to expand colspans, add row numbers, and simplify 
+					vertical merge info -->
+
+				<xsl:variable name="TABLE">
+
+					<xsl:variable name="tableBorders">
+						<xsl:choose>
+							<xsl:when
+								test="w:tblPr/w:tblBorders/w:top[@w:val='single']">
+								<xsl:copy-of select="w:tblPr/w:tblBorders/w:top" />
+							</xsl:when>
+							<xsl:when
+								test=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:top[@w:val='single']">
+								<xsl:copy-of
+									select=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:top" />
+							</xsl:when>
+						</xsl:choose>
+						<xsl:choose>
+							<xsl:when
+								test="w:tblPr/w:tblBorders/w:left[@w:val='single']">
+								<xsl:copy-of select="w:tblPr/w:tblBorders/w:left" />
+							</xsl:when>
+							<xsl:when
+								test=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:left[@w:val='single']">
+								<xsl:copy-of
+									select=".//w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:left" />
+							</xsl:when>
+						</xsl:choose>
+						<xsl:choose>
+							<xsl:when
+								test="w:tblPr/w:tblBorders/w:bottom[@w:val='single']">
+								<xsl:copy-of select="w:tblPr/w:tblBorders/w:bottom" />
+							</xsl:when>
+							<xsl:when
+								test=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:bottom[@w:val='single']">
+								<xsl:copy-of
+									select=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:bottom" />
+							</xsl:when>
+						</xsl:choose>
+						<xsl:choose>
+							<xsl:when
+								test="w:tblPr/w:tblBorders/w:right[@w:val='single']">
+								<xsl:copy-of select="w:tblPr/w:tblBorders/w:right" />
+							</xsl:when>
+							<xsl:when
+								test=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:right[@w:val='single']">
+								<xsl:copy-of
+									select=".//w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:right" />
+							</xsl:when>
+						</xsl:choose>
+					</xsl:variable>
+					<xsl:variable name="tableBorderStyles">
+						<xsl:call-template name="getTableBorderStyles">
+							<xsl:with-param name="tblBorders"
+								select="$tableBorders" />
+						</xsl:call-template>
+					</xsl:variable>
+					<table xmlns="http://www.oasis-open.org/specs/tm9901">
+						<xsl:if test="normalize-space($tableBorderStyles)!=''">
+							<xsl:attribute name="iso:style">
+				   <xsl:value-of
+								select="normalize-space($tableBorderStyles)" />
 				 </xsl:attribute>
-			       </xsl:if>
-			       <xsl:attribute name="frame">
+						</xsl:if>
+						<xsl:attribute name="frame">
 		                   <xsl:choose>
 		      <!-- lets face it, most tables do have
 			   borders, especially in ISO; but not in footers! -->
-		      <xsl:when test="not(w:tblPr/w:tblBorders) and
+		      <xsl:when
+							test="not(w:tblPr/w:tblBorders) and
 				      parent::w:ftr">
 			                        <xsl:text>none</xsl:text>
 		                      </xsl:when>
@@ -176,23 +203,28 @@
 		                      <xsl:otherwise>
 					<xsl:for-each select="$tableBorders">
 					  <xsl:choose>
-					    <xsl:when test="    w:top/@w:val='single'
+					    <xsl:when
+							test="    w:top/@w:val='single'
 							    and w:bottom/@w:val='single'
 							    and w:right/@w:val='single'        
 							    and w:left/@w:val='single'">all</xsl:when>
-					    <xsl:when test="    w:top/@w:val='single' 
+					    <xsl:when
+							test="    w:top/@w:val='single' 
 							    and w:bottom/@w:val='single'
 							    and not(w:right/@w:val='single') 
 							    and not(w:left/@w:val='single')">topbot</xsl:when>
-					    <xsl:when test="    w:top/@w:val='single' 
+					    <xsl:when
+							test="    w:top/@w:val='single' 
 							    and not(w:bottom/@w:val='single') 
 							    and not(w:right/@w:val='single') 
 							    and not(w:left/@w:val='single')">top</xsl:when>
-					    <xsl:when test="    not(w:top/@w:val='single') 
+					    <xsl:when
+							test="    not(w:top/@w:val='single') 
 							    and w:bottom/@w:val='single' 
 							    and not(w:right/@w:val='single') 
 							    and not(w:left/@w:val='single')">bottom</xsl:when>
-					    <xsl:when test="    not(w:top/@w:val='single') 
+					    <xsl:when
+							test="    not(w:top/@w:val='single') 
 							    and not(w:bottom/@w:val='single') 
 							    and w:right/@w:val='single' 
 							    and w:left/@w:val='single'">sides</xsl:when>
@@ -200,7 +232,8 @@
 					      <!-- start guessing -->
 					      <xsl:variable name="sideBorders">
 						<xsl:choose>
-						  <xsl:when test="w:left/@w:val='single' 
+						  <xsl:when
+							test="w:left/@w:val='single' 
 								  or w:right/@w:val='single'
 								  or ../../w:tr[1]/w:tc[1]/w:tcPr/w:tcBorders/w:left[@w:val='single']
 								  or ../../w:tr[last()]/w:tc[last()]/w:tcPr/w:tcBorders/w:right[@w:val='single']">true</xsl:when> 
@@ -208,7 +241,8 @@
 						</xsl:choose>
 					      </xsl:variable>
 					      <xsl:choose>
-						<xsl:when test="$sideBorders='true'
+						<xsl:when
+							test="$sideBorders='true'
 								and(w:bottom/@w:val='single' or w:top/@w:val='single')">all</xsl:when>
 						<xsl:otherwise>
 						  <xsl:text>none</xsl:text>
@@ -220,89 +254,101 @@
 		                      </xsl:otherwise>
 		                   </xsl:choose>
 		                </xsl:attribute>
-		                <xsl:attribute name="colsep">
+						<xsl:attribute name="colsep">
 		                   <xsl:choose>
-		                      <xsl:when test="w:tblPr/w:tblBorders/w:insideV/@w:val='single'">1</xsl:when>
+		                      <xsl:when
+							test="w:tblPr/w:tblBorders/w:insideV/@w:val='single'">1</xsl:when>
 		                      <xsl:otherwise>0</xsl:otherwise>
 		                   </xsl:choose>
 		                </xsl:attribute>
-		                <xsl:attribute name="rowsep">
+						<xsl:attribute name="rowsep">
 		                   <xsl:choose>
-		                      <xsl:when test="w:tblPr/w:tblBorders/w:insideH/@w:val='single'">1</xsl:when>
+		                      <xsl:when
+							test="w:tblPr/w:tblBorders/w:insideH/@w:val='single'">1</xsl:when>
 		                      <xsl:otherwise>0</xsl:otherwise>
 		                   </xsl:choose>
 		                </xsl:attribute>
-		                <xsl:call-template name="cals-table-header"/>
-		                <tgroup>
-		                   <xsl:for-each select="w:tblGrid/w:gridCol">
-		                      <colspec colnum="{position()}" colname="c{position()}">
-			                        <xsl:attribute name="colwidth" select="concat(number(@w:w) div 20,'pt')"/>
-		                      </colspec>
-		                   </xsl:for-each>
-		                   <tbody>
-		                      <xsl:for-each select="w:tr">
-			                        <xsl:copy>
-			                           <xsl:variable name="ROWPOS">
-			                              <xsl:number/>
-			                           </xsl:variable>
-			                           <xsl:for-each select="w:tc">
-						     <xsl:variable name="cellBorderStyles">
-						       <xsl:choose>
-							 <xsl:when test="w:tcBorders">
-							   <xsl:call-template name="getTableBorderStyles">
-							     <xsl:with-param name="tblBorders" select="w:tcBorders"/>
-							   </xsl:call-template>
-							 </xsl:when>
-							 <xsl:when test="w:tcPr/w:tcBorders">
-							   <xsl:call-template name="getTableBorderStyles">
-							     <xsl:with-param name="tblBorders" select="w:tcPr/w:tcBorders"/>
-							   </xsl:call-template>
-							 </xsl:when>
-						       </xsl:choose>
-						     </xsl:variable>
-			                              <xsl:variable name="VMERGE">
-			                                 <xsl:choose>
-				                                   <xsl:when test="w:tcPr/w:vMerge/@w:val='restart'">
-				                                      <xsl:text>start</xsl:text>
-				                                   </xsl:when>
-				                                   <xsl:when test="w:tcPr[not(w:vMerge)]">
-				                                      <xsl:text>start</xsl:text>
-				                                   </xsl:when>
-				                                   <xsl:otherwise>
-				                                      <xsl:text>continue</xsl:text>
-				                                   </xsl:otherwise>
-			                                 </xsl:choose>
-			                              </xsl:variable>
-			                              <xsl:variable name="innards">
-			                                 <xsl:copy-of select="w:tcPr"/>
-			                              </xsl:variable>
-			                              <xsl:copy>
-			                                 <xsl:variable
-							     name="N"
-							     select="position()"/>
-							 <xsl:if test="normalize-space($cellBorderStyles)!=''">
-							   <xsl:attribute name="iso:style">
-							     <xsl:value-of select="normalize-space($cellBorderStyles)"/>
+						<xsl:call-template name="cals-table-header" />
+						<tgroup>
+							<xsl:for-each select="w:tblGrid/w:gridCol">
+								<colspec colnum="{position()}" colname="c{position()}">
+									<xsl:attribute name="colwidth"
+										select="concat(number(@w:w) div 20,'pt')" />
+								</colspec>
+							</xsl:for-each>
+							<tbody>
+								<xsl:for-each select="w:tr">
+									<xsl:copy>
+										<xsl:variable name="ROWPOS">
+											<xsl:number />
+										</xsl:variable>
+										<xsl:for-each select="w:tc">
+											<xsl:variable name="cellBorderStyles">
+												<xsl:choose>
+													<xsl:when test="w:tcBorders">
+														<xsl:call-template
+															name="getTableBorderStyles">
+															<xsl:with-param name="tblBorders"
+																select="w:tcBorders" />
+														</xsl:call-template>
+													</xsl:when>
+													<xsl:when test="w:tcPr/w:tcBorders">
+														<xsl:call-template
+															name="getTableBorderStyles">
+															<xsl:with-param name="tblBorders"
+																select="w:tcPr/w:tcBorders" />
+														</xsl:call-template>
+													</xsl:when>
+												</xsl:choose>
+											</xsl:variable>
+											<xsl:variable name="VMERGE">
+												<xsl:choose>
+													<xsl:when test="w:tcPr/w:vMerge/@w:val='restart'">
+														<xsl:text>start</xsl:text>
+													</xsl:when>
+													<xsl:when test="w:tcPr[not(w:vMerge)]">
+														<xsl:text>start</xsl:text>
+													</xsl:when>
+													<xsl:otherwise>
+														<xsl:text>continue</xsl:text>
+													</xsl:otherwise>
+												</xsl:choose>
+											</xsl:variable>
+											<xsl:variable name="innards">
+												<xsl:copy-of select="w:tcPr" />
+											</xsl:variable>
+											<xsl:copy>
+												<xsl:variable name="N" select="position()" />
+												<xsl:if test="normalize-space($cellBorderStyles)!=''">
+													<xsl:attribute name="iso:style">
+							     <xsl:value-of
+														select="normalize-space($cellBorderStyles)" />
 							   </xsl:attribute>
-							 </xsl:if>
-			                                 <xsl:attribute name="rowsep">
+												</xsl:if>
+												<xsl:attribute name="rowsep">
 				                                   <xsl:choose>
-				                                      <xsl:when test="w:tcPr/w:tcBorders/w:bottom[@w:sz=0 or @w:val='nil']">
+				                                      <xsl:when
+													test="w:tcPr/w:tcBorders/w:bottom[@w:sz=0 or @w:val='nil']">
 				                                         <xsl:text>0</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="w:tcPr/w:tcBorders/w:bottom[@w:sz&gt;0]">
+				                                      <xsl:when
+													test="w:tcPr/w:tcBorders/w:bottom[@w:sz&gt;0]">
 				                                         <xsl:text>1</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="parent::w:tr/following-sibling::w:tr[1]/w:tc[$N]/w:tcPr/w:tcBorders/w:top[@w:sz&gt;0]">
+				                                      <xsl:when
+													test="parent::w:tr/following-sibling::w:tr[1]/w:tc[$N]/w:tcPr/w:tcBorders/w:top[@w:sz&gt;0]">
 				                                         <xsl:text>1</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="ancestor::w:tbl/w:tblPr/w:tblBorders/w:insideH[@w:sz=0          or @w:val='nil']">
+				                                      <xsl:when
+													test="ancestor::w:tbl/w:tblPr/w:tblBorders/w:insideH[@w:sz=0          or @w:val='nil']">
 				                                         <xsl:text>0</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="ancestor::w:tbl/w:tblPr/w:tblBorders/w:insideH">
+				                                      <xsl:when
+													test="ancestor::w:tbl/w:tblPr/w:tblBorders/w:insideH">
 				                                         <xsl:text>1</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="not(parent::w:tr/following-sibling::w:tr)          and not(ancestor::w:ftr)">
+				                                      <xsl:when
+													test="not(parent::w:tr/following-sibling::w:tr)          and not(ancestor::w:ftr)">
 				                                         <xsl:text>1</xsl:text>
 				                                      </xsl:when>
 				                                      <xsl:otherwise>
@@ -310,21 +356,26 @@
 				                                      </xsl:otherwise>
 				                                   </xsl:choose>
 			                                 </xsl:attribute>
-			                                 <xsl:attribute name="colsep">
+												<xsl:attribute name="colsep">
 				                                   <xsl:choose>
-				                                      <xsl:when test="following-sibling::w:tc[1]/w:tcPr/w:tcBorders/w:left[@w:sz&gt;0]">
+				                                      <xsl:when
+													test="following-sibling::w:tc[1]/w:tcPr/w:tcBorders/w:left[@w:sz&gt;0]">
 				                                         <xsl:text>1</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="w:tcPr/w:tcBorders/w:right[@w:sz=0 or @w:val='nil']">
+				                                      <xsl:when
+													test="w:tcPr/w:tcBorders/w:right[@w:sz=0 or @w:val='nil']">
 				                                         <xsl:text>0</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="w:tcPr/w:tcBorders/w:right[@w:sz&gt;0]">
+				                                      <xsl:when
+													test="w:tcPr/w:tcBorders/w:right[@w:sz&gt;0]">
 				                                         <xsl:text>1</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="ancestor::w:tbl/w:tblPr/w:tblBorders/w:insideV[@w:sz=0          or @w:val='nil']">
+				                                      <xsl:when
+													test="ancestor::w:tbl/w:tblPr/w:tblBorders/w:insideV[@w:sz=0          or @w:val='nil']">
 				                                         <xsl:text>0</xsl:text>
 				                                      </xsl:when>
-				                                      <xsl:when test="not(ancestor::w:tbl/w:tblPr/w:tblBorders)          and ancestor::w:ftr">
+				                                      <xsl:when
+													test="not(ancestor::w:tbl/w:tblPr/w:tblBorders)          and ancestor::w:ftr">
 				                                         <xsl:text>0</xsl:text>
 				                                      </xsl:when>
 				                                      <xsl:otherwise>
